module Elabs
  class AlbumsController < ContentApplicationController
    ALLOWED_NESTED_FROM = %w[language license tag user project].freeze
    ALLOWED_ORDER_FROM  = %w[name published_at updated_at].freeze

    before_action :set_album, only: %i[show]

    # GET /albums
    # GET /albums.json
    def index
      @albums = scope_request(Album.published).page(params[:page]).per(self.class::MAX_ITEMS_PER_PAGE)
    end

    # GET /albums/1
    # GET /albums/1.json
    def show; end

    private

    # Use callbacks to share common setup or constraints between actions.
    def set_album
      @album         = Album.find_publicly_visible(params[:slug])
      @album_uploads = @album.uploads.for_relation
    end
  end
end
