module Elabs
  class ElabsApplicationController < ActionController::Base
    include Elabs::Concerns::Localizable

    before_action :set_nsfw_option
    protect_from_forgery with: :exception

    private

    def set_nsfw_option
      session[:show_nsfw] ||= false
      session[:show_nsfw] = params['show_nsfw'] == 'true' if params['show_nsfw']
    end

    # Wrapper method for `instance_variable_set` that adds the `@` character to the variable name.
    #
    # @return [void]
    def create_instance_variable(variable, entity = @entity)
      instance_variable_set "@#{variable}", entity
    end
  end
end
