module Elabs
  class LanguagesController < ElabsPublicController
    ALLOWED_ORDER_FROM = %w[name].freeze
    DEFAULT_ORDER      = { name: :asc }.freeze

    before_action :set_language, only: %i[show edit]

    # GET /languages
    # GET /languages.json
    def index
      languages = scope_request Language.page(params[:page]).per(self.class::MAX_ITEMS_PER_PAGE)
      @languages = languages.with_content_only
    end

    # GET /languages/1
    # GET /languages/1.json
    def show
      @language_albums = @language.albums.for_relation
      @language_articles = @language.articles.for_relation
      @language_notes = @language.notes.for_relation
      @language_projects = @language.projects.for_relation
      @language_uploads = @language.uploads.for_relation
    end

    private

    # Use callbacks to share common setup or constraints between actions.
    def set_language
      @language = Language.find_by_iso639_1(params[:iso639_1])
    end
  end
end
