module Elabs
  class LicensesController < ElabsPublicController
    ALLOWED_ORDER_FROM = %w[name].freeze
    DEFAULT_ORDER      = { name: :asc }.freeze

    before_action :set_license, only: [:show]

    # GET /licenses
    # GET /licenses.json
    def index
      @licenses = scope_request License.all
    end

    # GET /licenses/1
    # GET /licenses/1.json
    def show
      @license_albums = @license.albums.for_relation
      @license_articles = @license.articles.for_relation
      @license_notes = @license.notes.for_relation
      @license_projects = @license.projects.for_relation
      @license_uploads = @license.uploads.for_relation
    end

    private

    # Use callbacks to share common setup or constraints between actions.
    def set_license
      @license = License.find_by_slug(params[:slug])
    end
  end
end
