module Elabs
  module Member
    class UsersController < MemberApplicationController
      before_action :set_user, only: %i[edit update]

      # GET /member/infos
      def edit; end

      # PATCH/PUT /member/infos
      def update
        if @user.update(user_params)
          redirect_to @user, notice: _('Your infos were successfully saved')
        else
          render :edit
        end
      end

      private

      # Use callbacks to share common setup or constraints between actions.
      def set_user
        @user = current_user
      end

      # Only allow a trusted parameter "white list" through.
      def user_params
        params.require(:user).permit(:real_name, :biography, :avatar)
      end
    end
  end
end
