module Elabs
  class TagsController < ElabsPublicController
    ALLOWED_ORDER_FROM = %w[name].freeze
    DEFAULT_ORDER      = { name: :desc }.freeze

    before_action :set_tag, only: %i[show]

    # GET /tags
    # GET /tags.json
    def index
      @tags = scope_request Tag.all
    end

    # GET /tags/1
    # GET /tags/1.json
    def show
      @tag_albums = @tag.albums.for_relation
      @tag_articles = @tag.articles.for_relation
      @tag_notes = @tag.notes.for_relation
      @tag_projects = @tag.projects.for_relation
      @tag_uploads = @tag.uploads.for_relation
    end

    private

    # Use callbacks to share common setup or constraints between actions.
    def set_tag
      @tag = Tag.find_by_slug(params[:slug])
    end
  end
end
