module Elabs
  module ActsHelper
    def act_action(action)
      actions = {
        create:    _('created'),
        update:    _('updated'),
        lock:      _('locked'),
        unlock:    _('unlocked'),
        publish:   _('published'),
        unpublish: _('removed from publication')
      }.freeze
      actions[action.to_sym] || "[missing: #{action}]"
    end

    def act_notice_string(act, include_link = true)
      type   = act.content_type.demodulize
      title  = act.content.title_to_display
      string = if %w[unpublish destroy lock].include?(act.event) || !include_link
                 format('%<type>s "%<title>s"', type: type, title: title)
               else
                 format('%<type>s "%<link>s"', type: type, link: link_to(title, act.content))
               end

      format(_('%<string>s has been %<event>s'), string: string, event: act_action(act.event)).html_safe
    end
  end
end
