module Elabs
  module LinksAdminHelper
    def admin_action_links(singular_model, entity)
      out = []
      out.push(show_online_link(entity))
      out.push(admin_lock_link(singular_model, entity))
      out.push(admin_destroy_link(singular_model, entity))

      raw out.join('')
    end

    # @deprecated This will be deprecated in 4.0
    def admin_show_online_link(singular_model, entity)
      admin_show_link(singular_model, entity)
    end

    def admin_show_link(singular_model, entity)
      namespace_show_link('admin', singular_model, entity)
    end

    def admin_lock_link(singular_model, entity)
      link_to send("admin_#{singular_model}_toggle_lock_path", entity),
              title:  (entity.locked? ? _('Unlock') : _('Lock')),
              class:  'btn btn--small btn--lock',
              method: :put do
        icon(entity.locked? ? 'unlock' : 'lock', ['fw'])
      end
    end

    def admin_destroy_link(singular_model, entity)
      namespace_destroy_link('admin', singular_model, entity)
    end

    def admin_edit_link(singular_model, entity)
      namespace_edit_link('admin', singular_model, entity)
    end
  end
end
