module Elabs
  module LinksMemberHelper
    def member_action_links(singular_model, entity)
      out = []
      out.push show_online_link(entity)
      out.push member_edit_link(singular_model, entity)
      out.push member_publish_link(singular_model, entity)
      out.push member_destroy_link(singular_model, entity)

      raw out.join('')
    end

    def member_edit_link(singular_model, entity)
      namespace_edit_link('member', singular_model, entity)
    end

    def member_destroy_link(singular_model, entity, confirm = true)
      namespace_destroy_link('member', singular_model, entity, confirm)
    end

    def member_publish_link(singular_model, entity)
      link_to send("member_#{singular_model}_toggle_publication_path", entity),
              title:  entity.published? ? _('Unpublish') : _('Publish'),
              method: :put,
              class:  'btn btn--small' do
        icon(entity.published? ? 'calendar-times' : 'calendar-check', ['fw'])
      end
    end
  end
end
