module Elabs
  class AlbumsTag < ApplicationRecord
    self.table_name = 'albums_tags'

    belongs_to :album
    belongs_to :tag

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      tag.increment! :albums_count if album.publicly_visible?
    end

    def decrement_counter_cache
      tag.decrement! :albums_count if album.publicly_visible?
    end
  end
end
