module Elabs
  class NotesTag < ApplicationRecord
    self.table_name = 'notes_tags'

    belongs_to :note
    belongs_to :tag

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      tag.increment! :notes_count if note.publicly_visible?
    end

    def decrement_counter_cache
      tag.decrement! :notes_count if note.publicly_visible?
    end
  end
end
