module Elabs
  class ProjectsAlbum < ApplicationRecord
    self.table_name = 'projects_albums'

    belongs_to :project
    belongs_to :album

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      project.increment! :albums_count if album.publicly_visible?
    end

    def decrement_counter_cache
      project.decrement! :albums_count if album.publicly_visible?
    end
  end
end
