module Elabs
  class ProjectsArticle < ApplicationRecord
    self.table_name = 'projects_articles'

    belongs_to :project
    belongs_to :article

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      project.increment! :articles_count if article.publicly_visible?
    end

    def decrement_counter_cache
      project.decrement! :articles_count if article.publicly_visible?
    end
  end
end
