module Elabs
  class ProjectsNote < ApplicationRecord
    self.table_name = 'projects_notes'

    belongs_to :project
    belongs_to :note

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      project.increment! :notes_count if note.publicly_visible?
    end

    def decrement_counter_cache
      project.decrement! :notes_count if note.publicly_visible?
    end
  end
end
