module Elabs
  class ProjectsTag < ApplicationRecord
    self.table_name = 'projects_tags'

    belongs_to :project
    belongs_to :tag

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      tag.increment! :projects_count if project.publicly_visible?
    end

    def decrement_counter_cache
      tag.decrement! :projects_count if project.publicly_visible?
    end
  end
end
