module Elabs
  class ProjectsUpload < ApplicationRecord
    self.table_name = 'projects_uploads'

    belongs_to :project
    belongs_to :upload

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      project.increment! :uploads_count if upload.publicly_visible?
    end

    def decrement_counter_cache
      project.decrement! :uploads_count if upload.publicly_visible?
    end
  end
end
