module Elabs
  class Tag < ApplicationRecord
    self.table_name = 'tags'
    include Elabs::Concerns::Sluggable

    SLUGGABLE_FIELD = :name
    SLUG_FIELD      = :slug

    validates :name, presence: true
    validates :slug, presence: true, uniqueness: true

    has_many :albums_tags
    has_many :articles_tags
    has_many :notes_tags
    has_many :projects_tags
    has_many :uploads_tags
    has_many :albums,   through: :albums_tags,     dependent: :destroy
    has_many :articles, through: :articles_tags,   dependent: :destroy
    has_many :notes,    through: :notes_tags,      dependent: :destroy
    has_many :projects, through: :projects_tags,   dependent: :destroy
    has_many :uploads,  through: :uploads_tags,    dependent: :destroy
  end
end
