module Elabs
  class UploadsTag < ApplicationRecord
    self.table_name = 'uploads_tags'

    belongs_to :upload
    belongs_to :tag

    after_create :increment_counter_cache
    after_destroy :decrement_counter_cache

    private

    def increment_counter_cache
      tag.increment! :uploads_count if upload.publicly_visible?
    end

    def decrement_counter_cache
      tag.decrement! :uploads_count if upload.publicly_visible?
    end
  end
end
