# frozen_string_literal: true

require 'rails/generators/base'

module Elabs
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path('../../..', __dir__)

      def set_source_paths
        @source_paths = [
          File.expand_path('../templates', __dir__),
          File.expand_path('../../..', __dir__)
        ]
      end

      desc 'Creates the "elabs" initializer and copies needed files'

      def copy_files
        template 'elabs.rb', 'config/initializers/elabs.rb'
        template 'user_model.rb', 'app/models/user.rb'
        template 'fast_gettext.rb', 'config/initializers/fast_gettext.rb'
        directory 'locale'
      end
    end
  end
end
